tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.NotificationReceivedHandler.NotificationReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<PubSubModule.NotificationReceivedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.NotificationReceivedHandler.NotificationReceivedEvent

- Enclosing interface:
    PubSubModule.NotificationReceivedHandler

      public static class PubSubModule.NotificationReceivedHandler.NotificationReceivedEvent
      extends JaxmppEvent<PubSubModule.NotificationReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationReceivedEvent(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(PubSubModule.NotificationReceivedHandler handler)` Invokes handlers method.
    `Date` | `getDelayTime()`
    `String` | `getItemId()`
    `String` | `getItemType()`
    `Message` | `getMessage()`
    `String` | `getNodeName()`
    `Element` | `getPayload()`
    `JID` | `getPubSubJID()`
    `void` | `setDelayTime(Date delayTime)`
    `void` | `setItemId(String itemId)`
    `void` | `setItemType(String itemType)`
    `void` | `setMessage(Message message)`
    `void` | `setNodeName(String nodeName)`
    `void` | `setPayload(Element payload)`
    `void` | `setPubSubJID(JID pubSubJID)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationReceivedEvent

          public NotificationReceivedEvent(SessionObject sessionObject)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(PubSubModule.NotificationReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<PubSubModule.NotificationReceivedHandler>`
      Parameters:
        `handler` - handler

    - #### getDelayTime

          public Date getDelayTime()

    - #### getItemId

          public String getItemId()

    - #### getItemType

          public String getItemType()

    - #### getMessage

          public Message getMessage()

    - #### getNodeName

          public String getNodeName()

    - #### getPayload

          public Element getPayload()

    - #### getPubSubJID

          public JID getPubSubJID()

    - #### setDelayTime

          public void setDelayTime(Date delayTime)

    - #### setItemId

          public void setItemId(String itemId)

    - #### setItemType

          public void setItemType(String itemType)

    - #### setMessage

          public void setMessage(Message message)

    - #### setNodeName

          public void setNodeName(String nodeName)

    - #### setPayload

          public void setPayload(Element payload)

    - #### setPubSubJID

          public void setPubSubJID(JID pubSubJID)

Copyright © 2006–2016 Tigase. All rights reserved.